﻿#language: ru

@tree

Функциональность: Отчет. Дымовые тесты

Сценарий: Отчет. Инициализация

	Дано Я подключаюсь под "Администратор"
	Дано Я устанавливаю заголовок "Отчет. Дым"
	Дано Я отключаю все регламентные задания
	Дано Я устанавливаю время начала блока тестов
	Дано Я включаю все функциональные опции
	Дано я устанавливаю текущему сеансу заголовок приложения "Отчет. Дым"


Сценарий: Открытие формы отчета "АнализВерсийОбъектов"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.АнализВерсийОбъектов"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета АнализВерсийОбъектов"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "АнализЖурналаРегистрации"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.АнализЖурналаРегистрации"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета АнализЖурналаРегистрации"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "АнализОпроса"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.АнализОпроса"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета АнализОпроса"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "АнализПравДоступа"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.АнализПравДоступа"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета АнализПравДоступа"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "АналитическийОтчетПоАнкетированию"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.АналитическийОтчетПоАнкетированию"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета АналитическийОтчетПоАнкетированию"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "БизнесПроцессы"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.БизнесПроцессы"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета БизнесПроцессы"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "ДатыЗапретаЗагрузки"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.ДатыЗапретаЗагрузки"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета ДатыЗапретаЗагрузки"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "ДатыЗапретаИзменения"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.ДатыЗапретаИзменения"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета ДатыЗапретаИзменения"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "ДосьеКонтрагента"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.ДосьеКонтрагента"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета ДосьеКонтрагента"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "ЗависшиеЗадачи"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.ЗависшиеЗадачи"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета ЗависшиеЗадачи"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "Задания"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.Задания"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета Задания"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "Задачи"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.Задачи"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета Задачи"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "ЗадачиИстекающиеНаДату"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.ЗадачиИстекающиеНаДату"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета ЗадачиИстекающиеНаДату"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "ИндексыСПАРКРиски"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.ИндексыСПАРКРиски"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета ИндексыСПАРКРиски"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "ИспользуемыеВнешниеРесурсы"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.ИспользуемыеВнешниеРесурсы"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета ИспользуемыеВнешниеРесурсы"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2ABCXYZАнализНоменклатуры"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2ABCXYZАнализНоменклатуры"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2ABCXYZАнализНоменклатуры"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2АнализБрака"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2АнализБрака"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2АнализБрака"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2АнализВыполненияЗаявкиНаПроизводство"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2АнализВыполненияЗаявкиНаПроизводство"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2АнализВыполненияЗаявкиНаПроизводство"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2АнализВыполненияПроизводственногоЗадания"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2АнализВыполненияПроизводственногоЗадания"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2АнализВыполненияПроизводственногоЗадания"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2АнализВыходов"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2АнализВыходов"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2АнализВыходов"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2АнализВыходовУчасткаРазделки"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2АнализВыходовУчасткаРазделки"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2АнализВыходовУчасткаРазделки"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2АнализЗагруженностиСкладов"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2АнализЗагруженностиСкладов"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2АнализЗагруженностиСкладов"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2АнализИсполненияЗаказов"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2АнализИсполненияЗаказов"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2АнализИсполненияЗаказов"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2АнализОстатковГИСМ"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2АнализОстатковГИСМ"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2АнализОстатковГИСМ"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2АнализОстатковНаСкладах"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2АнализОстатковНаСкладах"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2АнализОстатковНаСкладах"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2АнализОстатковНаТаре"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2АнализОстатковНаТаре"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2АнализОстатковНаТаре"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2АнализОстатковОрганизаций"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2АнализОстатковОрганизаций"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2АнализОстатковОрганизаций"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2АнализПартииСквозной"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2АнализПартииСквозной"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2АнализПартииСквозной"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2АнализПересеченияМаркетинговыхМероприятий"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2АнализПересеченияМаркетинговыхМероприятий"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2АнализПересеченияМаркетинговыхМероприятий"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2АнализПоступленияМолочногоСырья"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2АнализПоступленияМолочногоСырья"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2АнализПоступленияМолочногоСырья"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2АнализПулаКодовМаркировкиИСМП"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2АнализПулаКодовМаркировкиИСМП"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2АнализПулаКодовМаркировкиИСМП"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2АнализРаспределенияСдельнойОплатыТрудаПоВремениРаботы"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2АнализРаспределенияСдельнойОплатыТрудаПоВремениРаботы"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2АнализРаспределенияСдельнойОплатыТрудаПоВремениРаботы"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2АнализРасходаМатериалов"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2АнализРасходаМатериалов"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2АнализРасходаМатериалов"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2АнализРасхожденийСкладаИОрганизаций"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2АнализРасхожденийСкладаИОрганизаций"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2АнализРасхожденийСкладаИОрганизаций"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2АнализТекущихОстатковНаАдресномСкладе"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2АнализТекущихОстатковНаАдресномСкладе"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2АнализТекущихОстатковНаАдресномСкладе"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2АнализТранзакцийНЗПГИСМ"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2АнализТранзакцийНЗПГИСМ"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2АнализТранзакцийНЗПГИСМ"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2АнализУчасткаВаркиСыра"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2АнализУчасткаВаркиСыра"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2АнализУчасткаВаркиСыра"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2АнализУчасткаСоления"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2АнализУчасткаСоления"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2АнализУчасткаСоления"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2БалансЖираИБелка"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2БалансЖираИБелка"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2БалансЖираИБелка"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2БалансМногооборотнойТары"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2БалансМногооборотнойТары"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2БалансМногооборотнойТары"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2БюджетМаркетинговыхМероприятий"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2БюджетМаркетинговыхМероприятий"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2БюджетМаркетинговыхМероприятий"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2ВедомостьНаличныхДенежныхСредств"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2ВедомостьНаличныхДенежныхСредств"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2ВедомостьНаличныхДенежныхСредств"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2ВедомостьПоПриемкеМолока"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2ВедомостьПоПриемкеМолока"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2ВедомостьПоПриемкеМолока"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2ВедомостьРасчетовСКлиентами"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2ВедомостьРасчетовСКлиентами"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2ВедомостьРасчетовСКлиентами"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2ВыверкаОбрезкиЗаказовКлиентовПоБалансировкеПереработки"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2ВыверкаОбрезкиЗаказовКлиентовПоБалансировкеПереработки"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2ВыверкаОбрезкиЗаказовКлиентовПоБалансировкеПереработки"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2ВыполнениеПланаПродаж"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2ВыполнениеПланаПродаж"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2ВыполнениеПланаПродаж"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2ВыпускМаркировкиИКомплектации"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2ВыпускМаркировкиИКомплектации"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2ВыпускМаркировкиИКомплектации"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2ДинамикаМаркетинговыхМероприятий"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2ДинамикаМаркетинговыхМероприятий"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2ДинамикаМаркетинговыхМероприятий"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2ДинамикаПоказателейСкладовСерии"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2ДинамикаПоказателейСкладовСерии"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2ДинамикаПоказателейСкладовСерии"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2ДоходыИРасходы"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2ДоходыИРасходы"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2ДоходыИРасходы"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2ЗаданиеНаЗапускПереработки"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2ЗаданиеНаЗапускПереработки"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2ЗаданиеНаЗапускПереработки"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2ЗаданиеНаУпаковку"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2ЗаданиеНаУпаковку"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2ЗаданиеНаУпаковку"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2ЗадолженностьКлиентов"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2ЗадолженностьКлиентов"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2ЗадолженностьКлиентов"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2ЗаказыКлиентов"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2ЗаказыКлиентов"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2ЗаказыКлиентов"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2Запасы"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2Запасы"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2Запасы"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2ЗаявкиНаПроизводство"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2ЗаявкиНаПроизводство"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2ЗаявкиНаПроизводство"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2ИзмененияКоличествВДокументеМеждуЭтапами"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2ИзмененияКоличествВДокументеМеждуЭтапами"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2ИзмененияКоличествВДокументеМеждуЭтапами"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2КалендарьМаркетинговыхМероприятий"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2КалендарьМаркетинговыхМероприятий"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2КалендарьМаркетинговыхМероприятий"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2КонтрольВремениЭтаповПроизводства"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2КонтрольВремениЭтаповПроизводства"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2КонтрольВремениЭтаповПроизводства"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2Маркетинг_БюджетАктивностей"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2Маркетинг_БюджетАктивностей"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2Маркетинг_БюджетАктивностей"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2Меркурий_КонтрагентыТочкиДоставкиБезСоответствия"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2Меркурий_КонтрагентыТочкиДоставкиБезСоответствия"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2Меркурий_КонтрагентыТочкиДоставкиБезСоответствия"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2Меркурий_НоменклатураНаименованиеПродукцииБезСоответствия"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2Меркурий_НоменклатураНаименованиеПродукцииБезСоответствия"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2Меркурий_НоменклатураНаименованиеПродукцииБезСоответствия"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2МестонахождениеТары"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2МестонахождениеТары"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2МестонахождениеТары"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2МониторингСтатусовСмен"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2МониторингСтатусовСмен"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2МониторингСтатусовСмен"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2НаличныеДенежныеСредстваВКассах"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2НаличныеДенежныеСредстваВКассах"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2НаличныеДенежныеСредстваВКассах"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2НачисленнаяЗарплатаПоОперациям"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2НачисленнаяЗарплатаПоОперациям"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2НачисленнаяЗарплатаПоОперациям"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2НормативноФактическаяСебестоимость"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2НормативноФактическаяСебестоимость"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2НормативноФактическаяСебестоимость"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2ОбеспечениеТоваров"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2ОбеспечениеТоваров"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2ОбеспечениеТоваров"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2ОстаткиИДоступностьТоваров"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2ОстаткиИДоступностьТоваров"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2ОстаткиИДоступностьТоваров"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2ОтгрузкиЗаПериод"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2ОтгрузкиЗаПериод"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2ОтгрузкиЗаПериод"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2ОтгрузкиТоваров"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2ОтгрузкиТоваров"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2ОтгрузкиТоваров"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2ОтгрузкиТочкиДоставкиЗаПериод"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2ОтгрузкиТочкиДоставкиЗаПериод"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2ОтгрузкиТочкиДоставкиЗаПериод"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2ОтчетПоВыполненнымЗапросам_Меркурий"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2ОтчетПоВыполненнымЗапросам_Меркурий"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2ОтчетПоВыполненнымЗапросам_Меркурий"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2ОтчетПоЛабораторнымАнализам"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2ОтчетПоЛабораторнымАнализам"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2ОтчетПоЛабораторнымАнализам"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2ОтчетПоПоказателямСкладов"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2ОтчетПоПоказателямСкладов"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2ОтчетПоПоказателямСкладов"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2ОшибкиРасчетаСебестоимости"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2ОшибкиРасчетаСебестоимости"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2ОшибкиРасчетаСебестоимости"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2Планирование_ПрогнозПотребностей"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2Планирование_ПрогнозПотребностей"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2Планирование_ПрогнозПотребностей"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2Планирование_РасписаниеОпераций"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2Планирование_РасписаниеОпераций"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2Планирование_РасписаниеОпераций"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2Планирование_СтатистикаОтгрузок"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2Планирование_СтатистикаОтгрузок"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2Планирование_СтатистикаОтгрузок"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2ПланированиеПродажИОпераций"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2ПланированиеПродажИОпераций"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2ПланированиеПродажИОпераций"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2ПланФактПоПоставкам"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2ПланФактПоПоставкам"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2ПланФактПоПоставкам"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2Прогноз"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2Прогноз"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2Прогноз"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2Продажи"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2Продажи"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2Продажи"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2ПроизводственныйСервис"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2ПроизводственныйСервис"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2ПроизводственныйСервис"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2ПрослеживаемостьМатериалы_Продукция"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2ПрослеживаемостьМатериалы_Продукция"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2ПрослеживаемостьМатериалы_Продукция"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2ПрослеживаемостьПродукция_Материал"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2ПрослеживаемостьПродукция_Материал"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2ПрослеживаемостьПродукция_Материал"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2РазницаЦенВЗаказеИУстановкеЦен"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2РазницаЦенВЗаказеИУстановкеЦен"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2РазницаЦенВЗаказеИУстановкеЦен"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2Разруб_РезультатПланирования"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2Разруб_РезультатПланирования"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2Разруб_РезультатПланирования"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2РасхожденияТоваров"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2РасхожденияТоваров"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2РасхожденияТоваров"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2РентабельностьМаркетинговыхМероприятий"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2РентабельностьМаркетинговыхМероприятий"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2РентабельностьМаркетинговыхМероприятий"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2СводныйОтчетИСМП"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2СводныйОтчетИСМП"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2СводныйОтчетИСМП"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2СравнениеЗаказовИПлановОтгрузки"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2СравнениеЗаказовИПлановОтгрузки"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2СравнениеЗаказовИПлановОтгрузки"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2СредневзвешенныеЦеныВКанале"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2СредневзвешенныеЦеныВКанале"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2СредневзвешенныеЦеныВКанале"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2СтруктурныйАнализПродаж"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2СтруктурныйАнализПродаж"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2СтруктурныйАнализПродаж"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2ТоварыСИстекающимиСертификатами"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2ТоварыСИстекающимиСертификатами"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2ТоварыСИстекающимиСертификатами"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2ТопологияСклада"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2ТопологияСклада"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2ТопологияСклада"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2ЦеныКлиентов"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2ЦеныКлиентов"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2ЦеныКлиентов"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2ЦеныНоменклатуры"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2ЦеныНоменклатуры"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2ЦеныНоменклатуры"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2ЦеныПоМаркетинговомуМероприятию"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2ЦеныПоМаркетинговомуМероприятию"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2ЦеныПоМаркетинговомуМероприятию"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "к2ЭффективностьМаркетинговыхМероприятий"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.к2ЭффективностьМаркетинговыхМероприятий"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета к2ЭффективностьМаркетинговыхМероприятий"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "МестаИспользованияСсылок"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.МестаИспользованияСсылок"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета МестаИспользованияСсылок"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "НадежностьВходящегоНДССПАРКРиски"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.НадежностьВходящегоНДССПАРКРиски"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета НадежностьВходящегоНДССПАРКРиски"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "НадежностьДебиторовСПАРКРиски"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.НадежностьДебиторовСПАРКРиски"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета НадежностьДебиторовСПАРКРиски"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "ОбъемНенужныхФайлов"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.ОбъемНенужныхФайлов"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета ОбъемНенужныхФайлов"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "ОценкаПроизводительности"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.ОценкаПроизводительности"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета ОценкаПроизводительности"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "ПроверкаЦелостностиТома"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.ПроверкаЦелостностиТома"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета ПроверкаЦелостностиТома"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "ПрогрессОбновленияОбластейДанных"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.ПрогрессОбновленияОбластейДанных"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета ПрогрессОбновленияОбластейДанных"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "ПрогрессОтложенногоОбновления"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.ПрогрессОтложенногоОбновления"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета ПрогрессОтложенногоОбновления"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "ПросроченныеЗадачи"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.ПросроченныеЗадачи"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета ПросроченныеЗадачи"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "РезультатыПроверкиУчета"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.РезультатыПроверкиУчета"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета РезультатыПроверкиУчета"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "СведенияОПользователях"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.СведенияОПользователях"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета СведенияОПользователях"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "СобытияМониторингаСПАРКРиски"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.СобытияМониторингаСПАРКРиски"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета СобытияМониторингаСПАРКРиски"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "СогласияНаОбработкуПерсональныхДанныхДействующие"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.СогласияНаОбработкуПерсональныхДанныхДействующие"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета СогласияНаОбработкуПерсональныхДанныхДействующие"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "СогласияНаОбработкуПерсональныхДанныхИстекающие"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.СогласияНаОбработкуПерсональныхДанныхИстекающие"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета СогласияНаОбработкуПерсональныхДанныхИстекающие"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "СостояниеУчетнойЗаписиDSS"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.СостояниеУчетнойЗаписиDSS"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета СостояниеУчетнойЗаписиDSS"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"

Сценарий: Открытие формы отчета "УниверсальныйОтчет"

	Дано Я открываю навигационную ссылку "e1cib/app/Отчет.УниверсальныйОтчет"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму отчета УниверсальныйОтчет"
	И Я закрываю текущее окно
	Если появилось окно с заголовком "Закрытие" Тогда
		Тогда я нажимаю на кнопку "Да"


Сценарий: Отчет. Обработка Журнал регистрации

	Дано В журнале регистрации "0" ошибок по текущему блоку
